## btrbk 0.32.4

=== debian/changelog ===
btrbk (0.32.4-1~nd21.10+1) impish; urgency=medium

  * Backported for impish.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 22 Aug 2022 20:28:12 -0400

btrbk (0.32.4-1) unstable; urgency=medium

  * New Upstream Release
  * Use Standards-Version: 4.6.1

 -- Axel Burri <axel@tty0.ch>  Sat, 20 Aug 2022 14:40:41 +0200

btrbk (0.32.3-1) unstable; urgency=medium

  * New Upstream Release
  * Bump Copyright Year
  * Add Upstream-Contact

 -- Axel Burri <axel@tty0.ch>  Sun, 07 Aug 2022 11:23:41 +0200

btrbk (0.32.2-1) experimental; urgency=medium

  * New Upstream Release

 -- Axel Burri <axel@tty0.ch>  Sat, 25 Jun 2022 19:41:47 +0200

btrbk (0.32.1-1) experimental; urgency=medium

  * New Upstream Release

 -- Axel Burri <axel@tty0.ch>  Sat, 26 Feb 2022 20:12:35 +0100

btrbk (0.32.0-1) experimental; urgency=medium

  * New Upstream Release
  * Remove alien-tag python-script-but-no-python-dep

 -- Axel Burri <axel@tty0.ch>  Sat, 26 Feb 2022 20:11:51 +0100
