=== debian/changelog ===
btrbk (0.32.5-1) unstable; urgency=medium

  * New Upstream Release
  * Add missing NEWS item
  * Remove constraints unnecessary since buster
  * Use canonical URL in Vcs-Git

 -- Axel Burri <axel@tty0.ch>  Sat, 05 Nov 2022 10:44:49 +0100
