=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# main packaging script based on dh7 syntax

%:
	dh $@


# fix lintian issues:
# - systemd-service-file-outside-lib
# - duplicate-changelog-files
override_dh_auto_configure:
	dh_auto_configure
	sed -i \
	  -e 's/^SYSTEMDDIR\s*=.*/SYSTEMDDIR = \/lib\/systemd\/system/' \
	  -e 's/ChangeLog//' \
	  Makefile
