=== debian/changelog ===
btrbk (0.32.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.32.6 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 08 May 2023 23:19:23 +0100

btrbk (0.32.5-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.32.5 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 13:27:46 +0100

btrbk (0.32.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.32.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 25 Sep 2022 17:57:07 +0100

btrbk (0.32.3-1kaisen) kaisen-packages; urgency=medium

  * Import 0.32.3 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 15:37:54 +0100

btrbk (0.32.2-1kaisen) kaisen-packages; urgency=medium

  * Import 0.32.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 07 Jul 2022 19:28:11 +0100

btrbk (0.32.1-1kaisen) kaisen-packages; urgency=medium

  * Import 0.32.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 27 Feb 2022 16:11:29 +0100

btrbk (0.32.0-2kaisen) kaisen-packages; urgency=medium

  * Add --no-enable systemd when service is installed
  * Add perl:Depends variable

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 14 Feb 2022 00:06:56 +0100

btrbk (0.32.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.32.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 15:22:16 +0100

btrbk (0.31.3-1kaisen) kaisen-packages; urgency=medium

  * Refresh quilt patchs
  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 18 Aug 2021 10:51:39 +0200

btrbk (0.31.2-1kaisen1) kaisen-packages; urgency=medium

  * Rebuild to update btrbk
  * Adding systemd service and timer
  * Now conffile is added on /etc/btrbk.conf
  * Update dependancies of package in control
  * Update compat at 13
  * Reorganise Debian directory and rewrite rules file for debhelper 13

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 29 Mar 2021 14:02:07 +0200
